org.apache.tomcat.jdbc.pool.interceptor

## Class AbstractQueryReport.StatementProxy

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.interceptor.AbstractQueryReport.StatementProxy

- All Implemented Interfaces:
    InvocationHandler
  Enclosing class:
    AbstractQueryReport

      protected class AbstractQueryReport.StatementProxy
      extends Object
      implements InvocationHandler

  Class to measure query execute time

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `closed`
    `protected Object` | `delegate`
    `protected String` | `query`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractQueryReport.StatementProxy(Object parent, String query)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `invoke(Object proxy, Method method, Object[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### closed

          protected boolean closed

    - #### delegate

          protected Object delegate

    - #### query

          protected final String query

  - ### Constructor Detail

    - #### AbstractQueryReport.StatementProxy

          public AbstractQueryReport.StatementProxy(Object parent,
                                            String query)

  - ### Method Detail

    - #### invoke

          public Object invoke(Object proxy,
                      Method method,
                      Object[] args)
                        throws Throwable

      Specified by:
        `invoke` in interface `InvocationHandler`
      Throws:
        `Throwable`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.